Bug 159362 - Right clicking specific image file icon causes icon to temporarily disappear
Right clicking specific image file icon causes icon to temporarily disappear
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
n/a
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-01 18:23 EDT by Christopher Morley
Modified: 2015-03-03 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 19:14:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Morley 2005-06-01 18:23:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; rv:1.7.3) Gecko/20041020 Firefox/0.10.1

Description of problem:
Right clicking a file icon in Gnome/Nautilus normally opens a right-click context menu which includes the options: Open, Open With..., Cut File, Copy File, Make Link, Rename, Move to Trash, Create Archive, Send via Bluetooth, and Properties.

It is still doing that, except for one file called "Screenshot.png".

Right clicking on a particular image file icon called "Screenshot.png" in Gnome causes a correct context menu to quickly become visible and then invisible and replaced instead with a disabled (grayed out) context menu without all the same options (the missing options are: Open With, Send via Bluetooth, Create Archive).  At the instant the second context menu shows up, the icon itself disappears.  The disabled context menu will remain visible until you click on something else, like the desktop background.
Now, hit Ctrl-R, and the same icon that disappeared before now becomes visible again (!?).

I right click on it and see the expected context menu appear for a split second and
then it disappears and I get a disabled context menu (all grayed out)
with less than normal options.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Right click the particular icon of the file named "Screenshot.png"
2. Context menu is wrong, and icon is gone, file is still on the filesystem
3. Ctrl-R redisplays the icon, but step 1 still causes issue.
  

Actual Results:  A context menu (right click) shows up incorrectly, and also icon disappears

Expected Results:  The typical context menu should appear as normal and the icon shouldn't become invisible.  Only this file does it.

Additional info:

I would be happy to send the image file that is doing this.

-I own the file.
-This is on the user's desktop, and reproduces when I try it directly on the desktop, and also when I navigate to the Desktop folder using the filesystem browser user interface.
-I have no other files on the desktop that do this
-Copying the file to another directory causes the new copy to behave normally, but doesn't fix the source file.
-I rename "Screenshot.png" to "Screenshot2.png" using a bash terminal,
and then the problem cannot be reproduced (but it comes back if I rename it to the original name).
-Creating a new document and renaming that to "Screenshot.png" (while the original file is
named something else) does not reproduce the issue with the new file of the same name.
-chmod 777 Screenshot.png did not change anything.
-While invisible, the file is still listed with "ls", and all other icons on the desktop remain
visible as normal.

Also: 

uname -a
Linux localhost.localdomain 2.6.9-1.667 #1 Tue Nov 2 14:50:10 EST 2004 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Christopher Morley 2005-06-01 18:30:50 EDT
After reporting this bug, I moved away the file, and tried it for another
Screenshot.  The new one does the same thing, so there doesn't seem to be a
reason to send the files (as the content doesn't matter maybe?)
Comment 2 Matthew Miller 2006-07-10 19:04:44 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 petrosyan 2008-02-11 19:14:49 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.